#include <stdio.h>
#include <string.h>

typedef struct normalStatus {
  unsigned int l;
  unsigned int h;
} normalStatus;

typedef struct compactStatus{
  unsigned int l:3;
  unsigned int h:2;
} compactStatus;


int main() {

  normalStatus ns = {1,1};
  printf("ns.l=%u\n",ns.l);
  printf("ns.h=%u\n",ns.h);  
  printf("sizeof(ns)=: %lu\n", sizeof(ns));

  compactStatus cs = {7,7};
  printf("cs.l=%u\n",cs.l);
  printf("cs.h=%u\n",cs.h);  
  printf("sizeof(cs)=: %lu\n", sizeof(cs));

  return 0;
}
